# ApiComponentInfo Data Model

This is the model for a component in the host.

Properties
name | data type | description
--- | --- | ---
name | string | The name of the component.
cdhVersion | string | The CDH version on the host.
cdhRelease | string | CDH release on the host.
componentVersion | string | Component version on the host.
componentRelease | string | Component release on the host.
componentInfoSource | string | Source from which component is taken.
isActive | boolean | returns true if component is active.
componentConfig | map of string | list of config name and value pair associated with component.

Example

    {
      "name" : "...",
      "cdhVersion" : "...",
      "cdhRelease" : "...",
      "componentVersion" : "...",
      "componentRelease" : "...",
      "componentInfoSource" : "...",
      "isActive" : true,
      "componentConfig" : {
        "property1" : "...",
        "property2" : "..."
      }
    }